Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## eu.osci
Enum OSCIFault

    java.lang.Object
      java.lang.Enum<OSCIFault>
          eu.osci.OSCIFault

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OSCIFault>

    public enum OSCIFault

extends java.lang.Enum<OSCIFault>

This class represents the defined SOAP faults in the OSCI 2 context. For the details of each OSCI SOAP fault see the OSCI 2 specification.
Copyright © 2010 Freie Hansestadt Bremen.
Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG.
This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).

Enum Constant Summary
`ADDR_WRONG_ACTION_URI`
`ADDR_WRONG_TYPE_OF_BUSINESS_SCENARIO`
`AUTHN_CERT_INVALID_KEY_USAGE`
`AUTHN_CERT_NOT_VALID`
`AUTHN_SECURITY_LEVEL_INSUFFICIENT`
`AUTHN_TOKEN_FORMAL_MISMATCH`
`DELIVERY_RECEIPT_CHECKSUM_WRONG`
`ENCRYPTION_CERT_NOT_VALID`
`INVALID_RESPONSE_MESSAGE`
`MSG_BODY_DECRYPTION_ERROR`
`MSG_FREQUENCY_LIMIT_EXCEEDED`
`MSG_HEADER_STRUCTURE_SCHEMA_VIOLATION`
`MSG_SIZE_LIMIT_EXCEEDED`
`MSGBOX_REQUEST_WRONG_REFERENCE`
`PROCESSING_EXCEPTION`
`QUAL_TSP_SERVICE_NOT_AVAILABLE`
`SIGNATURE_OF_RECEIPT_INVALID`
`SIGNATURE_OF_VALIDATE_RESULT_INVALID`

Method Summary
`javax.xml.namespace.QName` | `getCode()` Returns the code of the OSCI SOAP fault.
`java.lang.String` | `getReason()` Returns the detailed reason of the OSCI SOAP fault.
`javax.xml.namespace.QName` | `getSubcode()` Returns the subcode of the OSCI SOAP fault.
`static OSCIFault` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OSCIFault[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PROCESSING_EXCEPTION

    public static final OSCIFault PROCESSING_EXCEPTION

### ADDR_WRONG_TYPE_OF_BUSINESS_SCENARIO

    public static final OSCIFault ADDR_WRONG_TYPE_OF_BUSINESS_SCENARIO

### ADDR_WRONG_ACTION_URI

    public static final OSCIFault ADDR_WRONG_ACTION_URI

### AUTHN_CERT_NOT_VALID

    public static final OSCIFault AUTHN_CERT_NOT_VALID

### AUTHN_CERT_INVALID_KEY_USAGE

    public static final OSCIFault AUTHN_CERT_INVALID_KEY_USAGE

### AUTHN_SECURITY_LEVEL_INSUFFICIENT

    public static final OSCIFault AUTHN_SECURITY_LEVEL_INSUFFICIENT

### AUTHN_TOKEN_FORMAL_MISMATCH

    public static final OSCIFault AUTHN_TOKEN_FORMAL_MISMATCH

### MSGBOX_REQUEST_WRONG_REFERENCE

    public static final OSCIFault MSGBOX_REQUEST_WRONG_REFERENCE

### QUAL_TSP_SERVICE_NOT_AVAILABLE

    public static final OSCIFault QUAL_TSP_SERVICE_NOT_AVAILABLE

### MSG_BODY_DECRYPTION_ERROR

    public static final OSCIFault MSG_BODY_DECRYPTION_ERROR

### SIGNATURE_OF_RECEIPT_INVALID

    public static final OSCIFault SIGNATURE_OF_RECEIPT_INVALID

### SIGNATURE_OF_VALIDATE_RESULT_INVALID

    public static final OSCIFault SIGNATURE_OF_VALIDATE_RESULT_INVALID

### MSG_HEADER_STRUCTURE_SCHEMA_VIOLATION

    public static final OSCIFault MSG_HEADER_STRUCTURE_SCHEMA_VIOLATION

### MSG_SIZE_LIMIT_EXCEEDED

    public static final OSCIFault MSG_SIZE_LIMIT_EXCEEDED

### MSG_FREQUENCY_LIMIT_EXCEEDED

    public static final OSCIFault MSG_FREQUENCY_LIMIT_EXCEEDED

### ENCRYPTION_CERT_NOT_VALID

    public static final OSCIFault ENCRYPTION_CERT_NOT_VALID

### INVALID_RESPONSE_MESSAGE

    public static final OSCIFault INVALID_RESPONSE_MESSAGE

### DELIVERY_RECEIPT_CHECKSUM_WRONG

    public static final OSCIFault DELIVERY_RECEIPT_CHECKSUM_WRONG

Method Detail

### values

    public static OSCIFault[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OSCIFault c : OSCIFault.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OSCIFault valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getCode

    public javax.xml.namespace.QName getCode()

  Returns the code of the OSCI SOAP fault.

### getSubcode

    public javax.xml.namespace.QName getSubcode()

  Returns the subcode of the OSCI SOAP fault.

### getReason

    public java.lang.String getReason()

  Returns the detailed reason of the OSCI SOAP fault.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Freie Hansestadt Bremen.